libetonyek::IWORKXMLContextBase< Base, State, Collector > Class Template Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
libetonyek::IWORKXMLContextBase< Base, State, Collector > Class Template Reference

`#include <IWORKXMLContextBase.h>`

Inheritance diagram for libetonyek::IWORKXMLContextBase< Base, State, Collector >:

## Public Member Functions
| IWORKXMLContextBase (State &state)
template<typename T>
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Protected Attributes
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKXMLContextBase() [1/2]

template<class Base, class State, class Collector = IWORKCollector>

libetonyek::IWORKXMLContextBase< Base, State, Collector >::IWORKXMLContextBase | ( | State & | state | ) |
| inlineexplicit

## ◆ IWORKXMLContextBase() [2/2]

template<class Base, class State, class Collector = IWORKCollector>
template<typename T>

libetonyek::IWORKXMLContextBase< Base, State, Collector >::IWORKXMLContextBase | ( | State & | state,
|  | const T & | a )
| inline

## Member Function Documentation

## ◆ getCollector()

template<class Base, class State, class Collector = IWORKCollector>

Collector & libetonyek::IWORKXMLContextBase< Base, State, Collector >::getCollector | ( |  | ) | const
| inlineprotected

Referenced by libetonyek::KEY1TableElement::endOfElement(), libetonyek::PAG1AnnotationContext::endOfElement(), libetonyek::PAG1AnnotationElement::endOfElement(), libetonyek::KEY1TableElement::startOfElement(), and libetonyek::PAG1AnnotationContext::startOfElement().

## ◆ getState()

template<class Base, class State, class Collector = IWORKCollector>

State & libetonyek::IWORKXMLContextBase< Base, State, Collector >::getState | ( |  | ) |
| inline

Referenced by libetonyek::KEY1FillElement::attribute(), libetonyek::KEY1ContentElement::CDATA(), libetonyek::KEY1DivElement::CDATA(), libetonyek::KEY1SpanElement::CDATA(), libetonyek::KEY1ContentElement::element(), libetonyek::KEY1DivElement::element(), libetonyek::KEY1StylesContext::element(), libetonyek::KEY1TableElement::element(), libetonyek::KEY2StyleContext::element(), libetonyek::PAG1AnnotationContext::element(), libetonyek::PAG1FootnotesElement::element(), libetonyek::PAG1StyleContext::element(), libetonyek::KEY1DivElement::endOfElement(), libetonyek::KEY1FillElement::endOfElement(), libetonyek::KEY1TableElement::endOfElement(), libetonyek::PAG1AnnotationContext::endOfElement(), libetonyek::PAG1AnnotationElement::endOfElement(), libetonyek::KEY1SpanElement::ensureClosed(), libetonyek::KEY1DivElement::ensureOpened(), libetonyek::KEY1SpanElement::ensureOpened(), libetonyek::KEY1TableElement::startOfElement(), libetonyek::PAG1AnnotationContext::startOfElement(), libetonyek::KEY1ContentElement::text(), libetonyek::KEY1DivElement::text(), and libetonyek::KEY1SpanElement::text().

## ◆ getToken()

template<class Base, class State, class Collector = IWORKCollector>

int libetonyek::IWORKXMLContextBase< Base, State, Collector >::getToken | ( | const char *const | value | ) | const
| inlineprotected

## ◆ isCollector()

template<class Base, class State, class Collector = IWORKCollector>

bool libetonyek::IWORKXMLContextBase< Base, State, Collector >::isCollector | ( |  | ) | const
| inlineprotected

Referenced by libetonyek::KEY1TableElement::endOfElement(), libetonyek::PAG1AnnotationContext::endOfElement(), libetonyek::PAG1AnnotationElement::endOfElement(), libetonyek::KEY1TableElement::startOfElement(), and libetonyek::PAG1AnnotationContext::startOfElement().

## Member Data Documentation

## ◆ m_state

template<class Base, class State, class Collector = IWORKCollector>

State& libetonyek::IWORKXMLContextBase< Base, State, Collector >::m_state
| protected

The documentation for this class was generated from the following file:

- IWORKXMLContextBase.h